numeric {base} | R Documentation

## Numeric Vectors

### Description

`numeric` creates a real vector of the specified length. The elements of the vector are all equal to `0`.

`as.numeric` attempts to coerce its argument to numeric type (either integer or real).

`is.numeric` returns `TRUE` if its argument is of type real or type integer and `FALSE` otherwise.

### Usage

    numeric(length = 0)
    as.numeric(x, ...)
    is.numeric(x)

### Note

R has no single precision data type. All real numbers are stored in double precision format.

`as.numeric` for factors yields the codes underlying the factor levels.

### Examples

    as.numeric(c("-.1"," 2.7 ","B")) # (-0.1, 2.7, NA)  +  warning
    as.numeric(factor(5:10))